Package org.eclipse.rdf4j.sail.shacl

## Enum SourceConstraintComponent

- java.lang.Object
- - java.lang.Enum<SourceConstraintComponent>
  - - org.eclipse.rdf4j.sail.shacl.SourceConstraintComponent

- All Implemented Interfaces:
    `Serializable`, `Comparable<SourceConstraintComponent>`

      public enum SourceConstraintComponent
      extends Enum<SourceConstraintComponent>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SourceConstraintComponent.ConstraintType` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AndConstraintComponent` |
    `ClassConstraintComponent` |
    `ClosedConstraintComponent` |
    `DatatypeConstraintComponent` |
    `DisjointConstraintComponent` |
    `EqualsConstraintComponent` |
    `HasValueConstraintComponent` |
    `HasValueInConstraintComponent` |
    `InConstraintComponent` |
    `LanguageInConstraintComponent` |
    `LessThanConstraintComponent` |
    `LessThanOrEqualsConstraintComponent` |
    `MaxCountConstraintComponent` |
    `MaxExclusiveConstraintComponent` |
    `MaxInclusiveConstraintComponent` |
    `MaxLengthConstraintComponent` |
    `MinCountConstraintComponent` |
    `MinExclusiveConstraintComponent` |
    `MinInclusiveConstraintComponent` |
    `MinLengthConstraintComponent` |
    `NodeConstraintComponent` |
    `NodeKindConstraintComponent` |
    `NotConstraintComponent` |
    `OrConstraintComponent` |
    `PatternConstraintComponent` |
    `PropertyConstraintComponent` |
    `QualifiedMaxCountConstraintComponent` |
    `QualifiedMinCountConstraintComponent` |
    `UniqueLangConstraintComponent` |
    `XoneConstraintComponent` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SourceConstraintComponent.ConstraintType` | `getConstraintType()` |
    `IRI` | `getIri()` |
    `boolean` | `producesValidationResultValue()` |
    `static SourceConstraintComponent` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SourceConstraintComponent[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MaxCountConstraintComponent

          public static final SourceConstraintComponent MaxCountConstraintComponent

    - #### MinCountConstraintComponent

          public static final SourceConstraintComponent MinCountConstraintComponent

    - #### DatatypeConstraintComponent

          public static final SourceConstraintComponent DatatypeConstraintComponent

    - #### NodeKindConstraintComponent

          public static final SourceConstraintComponent NodeKindConstraintComponent

    - #### ClassConstraintComponent

          public static final SourceConstraintComponent ClassConstraintComponent

    - #### PatternConstraintComponent

          public static final SourceConstraintComponent PatternConstraintComponent

    - #### UniqueLangConstraintComponent

          public static final SourceConstraintComponent UniqueLangConstraintComponent

    - #### LanguageInConstraintComponent

          public static final SourceConstraintComponent LanguageInConstraintComponent

    - #### MaxLengthConstraintComponent

          public static final SourceConstraintComponent MaxLengthConstraintComponent

    - #### MinLengthConstraintComponent

          public static final SourceConstraintComponent MinLengthConstraintComponent

    - #### InConstraintComponent

          public static final SourceConstraintComponent InConstraintComponent

    - #### HasValueConstraintComponent

          public static final SourceConstraintComponent HasValueConstraintComponent

    - #### HasValueInConstraintComponent

          public static final SourceConstraintComponent HasValueInConstraintComponent

    - #### ClosedConstraintComponent

          public static final SourceConstraintComponent ClosedConstraintComponent

    - #### MinExclusiveConstraintComponent

          public static final SourceConstraintComponent MinExclusiveConstraintComponent

    - #### MaxExclusiveConstraintComponent

          public static final SourceConstraintComponent MaxExclusiveConstraintComponent

    - #### MaxInclusiveConstraintComponent

          public static final SourceConstraintComponent MaxInclusiveConstraintComponent

    - #### MinInclusiveConstraintComponent

          public static final SourceConstraintComponent MinInclusiveConstraintComponent

    - #### AndConstraintComponent

          public static final SourceConstraintComponent AndConstraintComponent

    - #### OrConstraintComponent

          public static final SourceConstraintComponent OrConstraintComponent

    - #### NotConstraintComponent

          public static final SourceConstraintComponent NotConstraintComponent

    - #### XoneConstraintComponent

          public static final SourceConstraintComponent XoneConstraintComponent

    - #### DisjointConstraintComponent

          public static final SourceConstraintComponent DisjointConstraintComponent

    - #### EqualsConstraintComponent

          public static final SourceConstraintComponent EqualsConstraintComponent

    - #### LessThanConstraintComponent

          public static final SourceConstraintComponent LessThanConstraintComponent

    - #### LessThanOrEqualsConstraintComponent

          public static final SourceConstraintComponent LessThanOrEqualsConstraintComponent

    - #### QualifiedMaxCountConstraintComponent

          public static final SourceConstraintComponent QualifiedMaxCountConstraintComponent

    - #### QualifiedMinCountConstraintComponent

          public static final SourceConstraintComponent QualifiedMinCountConstraintComponent

    - #### NodeConstraintComponent

          public static final SourceConstraintComponent NodeConstraintComponent

    - #### PropertyConstraintComponent

          public static final SourceConstraintComponent PropertyConstraintComponent

  - ### Method Detail

    - #### values

          public static SourceConstraintComponent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceConstraintComponent c : SourceConstraintComponent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceConstraintComponent valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIri

          public IRI getIri()

    - #### getConstraintType

          public SourceConstraintComponent.ConstraintType getConstraintType()

    - #### producesValidationResultValue

          public boolean producesValidationResultValue()